Skip to main content
POST
/
organization
/
{organizationId}
/
customRole
Create an organization custom role
curl --request POST \
  --url https://api.qovery.com/organization/{organizationId}/customRole \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "cluster_permissions": [
    {
      "cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "cluster_name": "<string>",
      "permission": "VIEWER"
    }
  ],
  "project_permissions": [
    {
      "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "project_name": "<string>",
      "is_admin": false,
      "permissions": [
        {
          "environment_type": "PRODUCTION",
          "permission": "NO_ACCESS"
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://qovery-erebe-skills.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

Body

application/json
name
string
required
description
string

Response

Organization custom role created

id
string
name
string
description
string
cluster_permissions
object[]
project_permissions
object[]